export default {
  // 新增视频下载方法
  async videoDownload(url, fileName) {
    try {
      const response = await fetch(url);
      if (!response.ok) {
        throw new Error('下载失败');
      }

      const blob = await response.blob();
      const $link = document.createElement('a');
      $link.href = URL.createObjectURL(blob);
      $link.download = fileName || 'video.mp4';
      document.body.appendChild($link);
      $link.click();
      document.body.removeChild($link);
      URL.revokeObjectURL($link.href);

      return true;
    } catch (error) {
      console.error('视频下载错误:', error);
      throw new Error('视频下载失败');
    }
  }
}
